---
title: "Add all Users to a Channel"
slug: "add-all-users-to-a-channel"
updated: 2026-09-03T14:50:33Z
published: 2026-09-03T14:50:33Z
canonical: "developer.rocket.chat/add-all-users-to-a-channel"
stale: true
---
> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Add all Users to a Channel
Post/api/v1/channels.addAll
Adds all users in the workspace to a public room. Permission required: `add-all-to-room`. The maximum number of users you can add at once depends on your workspace's REST API settings. To access this setting, go to **Manage** > **Workspace** > **Settings** > **General** > **REST API** > **User Limit for Adding All Users to Channel**.
### Changelog
| Version | Description |
| --- | --- |
| 0.55.0 | Added `activeUsersOnly` param |
| 0.48.0 | Renamed to `channels.addAll` from `channel.addAll` |
Header parametersX-Auth-TokenstringRequired
The `authToken` of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired
The `userId` of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Body parametersExample
```json
{
"roomId": "WDuJLFkjwk6L7LdFC",
"activeUsersOnly": true
}
```
object roomIdstring Required
The channel's ID.
activeUsersOnlyboolean
Add only active users. It is `false` by default.
Responses200
OK
Success
```json
{
"channel": {
"_id": "ByehQjC44FwMeiLbX",
"name": "channelname",
"t": "c",
"usernames": [
"example",
"rocket.cat"
],
"msgs": 0,
"u": {
"_id": "aobEdbYhXfu5hkeqG",
"username": "example"
},
"ts": "2016-05-30T13:42:25.304Z"
},
"success": true
}
```
Expand Allobject channelobject _idstring
fnamestring
customFieldsobject
topicstring
broadcastboolean
encryptedboolean
namestring
tstring
msgsinteger
usersCountinteger
uobject _idstring
usernamestring
tsstring
roboolean
defaultboolean
sysMesboolean
_updatedAtstring
lastMessageobject _idstring
ridstring
msgstring
tsstring
uobject _idstring
usernamestring
namestring
_updatedAtstring
urls Array of object object
mentions Array of object object
channels Array of object object
md Array of object object typestring
value Array of object object typestring
valuestring
lmstring
successboolean
401
Unauthorized
Authorization Error
```json
{
"status": "error",
"message": "You must be logged in to do this."
}
```
object statusstring
messagestring